package jp.sourceforge.orangesignal.ta.dataset.loader;

import static org.hamcrest.core.Is.is;
import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertThat;

import java.util.Date;

import org.junit.Test;

public class OHLCVTest {

	@Test
	public void test() {
		final Date now = new Date();
		final OHLCV o = new OHLCV();
		o.setDate(now);
		o.setOpen(2);
		o.setHigh(4);
		o.setLow(1);
		o.setClose(3);
		o.setVolume(10000);
		assertThat(o.getDate(), is(now));
		assertEquals(o.getOpen(), 2);
		assertEquals(o.getHigh(), 4);
		assertEquals(o.getLow(), 1);
		assertEquals(o.getClose(), 3);
		assertEquals(o.getVolume(), 10000);
	}

}
